# Generated by Django 5.0.4 on 2024-04-30 15:59

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('who_icd', '0007_remove_entity_descendant_remove_entity_exclusion_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='entity',
            name='release',
        ),
        migrations.AddField(
            model_name='entity',
            name='id_parent',
            field=models.CharField(blank=True, default='', max_length=127, verbose_name='tmp parent id'),
        ),
        migrations.AlterField(
            model_name='entity',
            name='class_kind',
            field=models.CharField(choices=[('block', 'Block'), ('category', 'Category'), ('chapter', 'Chapter'), ('window', 'Window')], db_index=True, max_length=8, verbose_name='Class kind'),
        ),
        migrations.AlterField(
            model_name='entity',
            name='code',
            field=models.CharField(db_index=True, default='', max_length=10, verbose_name='Code'),
        ),
        migrations.AlterField(
            model_name='entity',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='who_icd.entity', to_field='icd_id'),
        ),
    ]
